// Задача "Строка"
// XVI командный чемпионат школьников Санкт-Петербурга по программированию
// Автор задачи:  Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

uses
	SysUtils;
var
	n, i : longint;
	ans, t : string;
begin
	reset(input, 'string.in');
	rewrite(output, 'string.out');

	read(n);
	assert((1 <= n) and (n <= 500));

	ans := '';
	for i := 1 to n do begin
		t := intToStr(i);
		if (pos(t, ans) = 0) then
			ans := ans + t;
	end;
	writeln(ans);
end.